org.apache.ignite.internal.visor.tx

## Class FetchNearXidVersionTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<TxVerboseId,GridCacheVersion,GridCacheVersion>
  - - org.apache.ignite.internal.visor.tx.FetchNearXidVersionTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<TxVerboseId>,GridCacheVersion>

    @GridInternal
    public class FetchNearXidVersionTask
    extends VisorMultiNodeTask<TxVerboseId,GridCacheVersion,GridCacheVersion>

Retrieves unique transaction identifier (nearXid) from UUID/GridCacheVersion of xid/nearXid.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`FetchNearXidVersionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<TxVerboseId,GridCacheVersion>` `job(TxVerboseId arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<TxVerboseId> arg)`
`protected GridCacheVersion` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchNearXidVersionTask

    public FetchNearXidVersionTask()

### Method Detail

#### job

    protected VisorJob<TxVerboseId,GridCacheVersion> job(TxVerboseId arg)

Specified by:
  `job` in class `VisorMultiNodeTask<TxVerboseId,GridCacheVersion,GridCacheVersion>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    protected GridCacheVersion reduce0(List<ComputeJobResult> results)
                                throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<TxVerboseId,GridCacheVersion,GridCacheVersion>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<TxVerboseId> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<TxVerboseId,GridCacheVersion,GridCacheVersion>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021